import type { Client } from '../client/interfaces/Client';
import type { HttpClient } from '../HttpClient';
import type { Indent } from '../Indent';
import type { Templates } from './registerHandlebarTemplates';
/**
 * Generate OpenAPI core files, this includes the basic boilerplate code to handle requests.
 * @param client Client object, containing, models, schemas and services
 * @param templates The loaded handlebar templates
 * @param outputPath Directory to write the generated files to
 * @param httpClient The selected httpClient (fetch, xhr, node or axios)
 * @param indent Indentation options (4, 2 or tab)
 * @param clientName Custom client class name
 * @param request Path to custom request file
 */
export declare const writeClientCore: (client: Client, templates: Templates, outputPath: string, httpClient: HttpClient, indent: Indent, clientName?: string, request?: string) => Promise<void>;
//# sourceMappingURL=writeClientCore.d.ts.map